org.apache.cassandra.transport

## Class Frame.Decompressor

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneDecoder
  - - org.apache.cassandra.transport.Frame.Decompressor

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

Enclosing class:
  Frame

    public static class Frame.Decompressor
    extends org.jboss.netty.handler.codec.oneone.OneToOneDecoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`Frame.Decompressor()`

### Method Summary

Methods
`java.lang.Object` `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, java.lang.Object msg)`

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneDecoder

`handleUpstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Frame.Decompressor

    public Frame.Decompressor()

### Method Detail

#### decode

    public java.lang.Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                          org.jboss.netty.channel.Channel channel,
                          java.lang.Object msg)
                            throws java.io.IOException

Specified by:
  `decode` in class `org.jboss.netty.handler.codec.oneone.OneToOneDecoder`
Throws:
  `java.io.IOException`